Open CASCADE Technology: PColgp_HArray1OfCirc2d Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
PColgp_HArray1OfCirc2d Class Reference

`#include <PColgp_HArray1OfCirc2d.hxx>`

Inheritance diagram for PColgp_HArray1OfCirc2d:
[legend]

## Public Member Functions
| PColgp_HArray1OfCirc2d (const Standard_Integer Low, const Standard_Integer Up)
| PColgp_HArray1OfCirc2d (const Standard_Integer Low, const Standard_Integer Up, const gp_Circ2d &V)
Standard_Integer | Length () const
Standard_Integer | Lower () const
void | SetValue (const Standard_Integer Index, const gp_Circ2d &Value)
Standard_Integer | Upper () const
gp_Circ2d | Value (const Standard_Integer Index) const
| PColgp_HArray1OfCirc2d ()
| PColgp_HArray1OfCirc2d (const Storage_stCONSTclCOM &a)
Standard_Integer | _CSFDB_GetPColgp_HArray1OfCirc2dLowerBound () const
void | _CSFDB_SetPColgp_HArray1OfCirc2dLowerBound (const Standard_Integer p)
Standard_Integer | _CSFDB_GetPColgp_HArray1OfCirc2dUpperBound () const
void | _CSFDB_SetPColgp_HArray1OfCirc2dUpperBound (const Standard_Integer p)
const PColgp_FieldOfHArray1OfCirc2d & | _CSFDB_GetPColgp_HArray1OfCirc2dData () const
Public Member Functions inherited from Standard_Persistent
virtual Handle_Standard_Persistent | This () const
virtual void | Delete () const
virtual | ~Standard_Persistent ()
Standard_Persistent & | operator= (const Standard_Persistent &)
| Standard_Persistent ()
| Standard_Persistent (const Standard_Persistent &)
| Standard_Persistent (const Storage_stCONSTclCOM &)
virtual const Handle_Standard_Type & | DynamicType () const
Standard_Boolean | IsKind (const Handle_Standard_Type &) const
Standard_Boolean | IsInstance (const Handle_Standard_Type &) const
virtual Handle_Standard_Persistent | This () const
virtual void | Delete () const
virtual | ~Standard_Persistent ()
Standard_Persistent & | operator= (const Standard_Persistent &)
| Standard_Persistent ()
| Standard_Persistent (const Standard_Persistent &)
| Standard_Persistent (const Storage_stCONSTclCOM &)
virtual const Handle_Standard_Type & | DynamicType () const
Standard_Boolean | IsKind (const Handle_Standard_Type &) const
Standard_Boolean | IsInstance (const Handle_Standard_Type &) const

## Constructor & Destructor Documentation

PColgp_HArray1OfCirc2d::PColgp_HArray1OfCirc2d | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |  |

PColgp_HArray1OfCirc2d::PColgp_HArray1OfCirc2d | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up,
|  | const gp_Circ2d & | V
| ) |  |

PColgp_HArray1OfCirc2d::PColgp_HArray1OfCirc2d | ( |  | ) |
| inline

PColgp_HArray1OfCirc2d::PColgp_HArray1OfCirc2d | ( | const Storage_stCONSTclCOM & | a | ) |
| inline

## Member Function Documentation

const PColgp_FieldOfHArray1OfCirc2d& PColgp_HArray1OfCirc2d::_CSFDB_GetPColgp_HArray1OfCirc2dData | ( |  | ) | const
| inline

Standard_Integer PColgp_HArray1OfCirc2d::_CSFDB_GetPColgp_HArray1OfCirc2dLowerBound | ( |  | ) | const
| inline

Standard_Integer PColgp_HArray1OfCirc2d::_CSFDB_GetPColgp_HArray1OfCirc2dUpperBound | ( |  | ) | const
| inline

void PColgp_HArray1OfCirc2d::_CSFDB_SetPColgp_HArray1OfCirc2dLowerBound | ( | const Standard_Integer | p | ) |
| inline

void PColgp_HArray1OfCirc2d::_CSFDB_SetPColgp_HArray1OfCirc2dUpperBound | ( | const Standard_Integer | p | ) |
| inline

Standard_Integer PColgp_HArray1OfCirc2d::Length | ( |  | ) | const

Standard_Integer PColgp_HArray1OfCirc2d::Lower | ( |  | ) | const

void PColgp_HArray1OfCirc2d::SetValue | ( | const Standard_Integer | Index,
|  | const gp_Circ2d & | Value
| ) |  |

Standard_Integer PColgp_HArray1OfCirc2d::Upper | ( |  | ) | const

gp_Circ2d PColgp_HArray1OfCirc2d::Value | ( | const Standard_Integer | Index | ) | const

The documentation for this class was generated from the following file:

- PColgp_HArray1OfCirc2d.hxx